package com.hzya.frame.sysnew.integtationTaskLivingDetails.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 集成任务-实例详情(IntegrationTaskLivingDetails)表服务接口
 *
 * @author makejava
 * @since 2024-05-15 14:06:43
 */
public interface IIntegrationTaskLivingDetailsService extends IBaseService<IntegrationTaskLivingDetailsEntity, String>{
    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询任务实例列表分页
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity testLog(JSONObject jsonObject)throws Exception;

    /**
     *
     * @content 成功日志公用接口
     * @author laborer
     * @date 2024/5/15 0015 15:05
     *
     */
    JsonResultEntity saveLogToSuccess(IntegrationTaskLivingDetailsEntity entity)throws Exception;
    /**
     *
     * @content 失败日志公用接口
     * @author laborer
     * @date 2024/5/15 0015 15:05
     *
     */
    JsonResultEntity saveLogToFail(IntegrationTaskLivingDetailsEntity entity)throws Exception;
    /**
     *
     * @content 重推成功接口(成功数据挪到成功日志表)
     * @author laborer
     * @date 2024/5/15 0015 15:05
     *
     */
    JsonResultEntity saveLogFailToSuccess(IntegrationTaskLivingDetailsEntity entity)throws Exception;
    /**
     *
     * @content 重推失败更新接口
     * @author laborer
     * @date 2024/5/15 0015 15:05
     *
     */
    JsonResultEntity updateLogFailToSuccess(IntegrationTaskLivingDetailsEntity entity)throws Exception;
}
